## org.eclipse.datatools.enablement.sybase.ui
Class SybaseDatabaseProfileSetting

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.ui.SybaseDatabaseProfileSetting

    public class SybaseDatabaseProfileSetting

extends java.lang.Object

Method Summary
`java.lang.String` `getDatabaseProfileId()`
`boolean` `isShowOwner()`
`boolean` `isShowSchema()`
`static SybaseDatabaseProfileSetting` `newInstance(java.lang.String profileId)`
`void` `setDatabaseProfileId(java.lang.String databaseProfileId)`
`void` `setShowOwner(boolean isShowOwner)`
`void` `setShowSchema(boolean isShowSchema)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newInstance

    public static final SybaseDatabaseProfileSetting newInstance(java.lang.String profileId)

### getDatabaseProfileId

    public java.lang.String getDatabaseProfileId()

### setDatabaseProfileId

    public void setDatabaseProfileId(java.lang.String databaseProfileId)

### isShowSchema

    public boolean isShowSchema()

### setShowSchema

    public void setShowSchema(boolean isShowSchema)

### isShowOwner

    public boolean isShowOwner()

### setShowOwner

    public void setShowOwner(boolean isShowOwner)